Bug 125944 - with 2.6.6-1.427, alsa seems to be buggy.
with 2.6.6-1.427, alsa seems to be buggy.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2004-06-14 09:58 EDT by Hal Canary
Modified: 2015-01-04 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 01:19:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hal Canary 2004-06-14 09:58:49 EDT
Description of problem:

  No sound works with with the new 2.6.6-1.427 kernel.  
  2.6.5-1.358 is fine.  I have a nForce2 AC97 sound 

Version-Release number of selected component (if applicable):


How reproducible:

  When I press play in Rhythmbox, nothing happens.  When
  I play a sound file with mpg123, it plays a short burst
  of music, then stops.
Comment 1 Scott Sloan 2004-06-17 15:00:09 EDT
I also have the same problem with an nforce board however my sound
card is a Sound Baster Audiogy.. Modules get loaded great, just when I
go to play something I get a short note and then a pause, and a short

Kernel is 1.6.6-1.435  but also happened in 2.6.6-1.427 
Comment 2 Miroslav Holubec 2004-06-18 08:54:33 EDT
Same problem with intel8x0 (SIS7012). Kernel 2.6.5-1.358 is ok, but
2.6.6-1.435 and 2.6.6-1.427 are buggy. arts write this stuff>
ALSA lib pcm_hw.c:494:(snd_pcm_hw_start) SNDRV_PCM_IOCTL_START
failed:Broken pipe

and lsmod information
Module                  Size  Used by
snd_pcm_oss            41000  0
snd_mixer_oss          13824  2 snd_pcm_oss
udf                    71172  0
snd_intel8x0           26796  3
snd_ac97_codec         54788  1 snd_intel8x0
snd_pcm                69256  3 snd_pcm_oss,snd_intel8x0
snd_timer              17284  1 snd_pcm
snd_page_alloc          8072  2 snd_intel8x0,snd_pcm
gameport                3328  1 snd_intel8x0
snd_mpu401_uart         4864  1 snd_intel8x0
snd_rawmidi            17444  1 snd_mpu401_uart
snd_seq_device          6152  1 snd_rawmidi
snd                    39396  12
soundcore               6112  2 snd

alias eth0 8139too
alias snd-card-0 snd-intel8x0
install snd-intel8x0 /sbin/modprobe --ignore-install snd-intel8x0 &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-intel8x0 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ;
}; /sbin/modprobe -r --ignore-remove snd-intel8x0
alias usb-controller ohci-hcd
alias char-major-195* nvidia
alias net-pf-10 off
Comment 3 Hal Canary 2004-08-03 21:24:57 EDT
This is fixed with 2.6.7.

$ cat /proc/version
Linux version 2.6.7-1.494.2.2 (bhcompile@tweety.build.redhat.com) (gcc
version 3.3.3 20040412 (Red Hat Linux 3.3.3-7)) #1 Tue Aug 3 09:39:58
EDT 2004

Comment 4 John 2004-11-17 21:42:37 EST
Uh, are you sure this was fixed with 2.6.7?

Because I'm running 2.6.8 (upgraded from 2.6.5), and still have the
alsa problem. 

It prints out this message: 
ALSA lib pcm_hw.c:494:(snd_pcm_hw_start) SNDRV_PCM_IOCTL_START
failed:Broken pipe

I can't play music/sound in more than one application at a time. I
think this is because OSS (what I'm using) doesn't allow multiple
processes using the sound channel at once. 

I really wish I could get alsa working because that would probably
support multi-application sound. 
Comment 5 Hal Canary 2004-11-18 21:54:30 EST
It worked for me.  I never knew what was wrong.  It still works fine
with my latest kernel:

$ cat /proc/version
Linux version 2.6.9-1.667 (bhcompile@tweety.build.redhat.com) (gcc
version 3.4.2 20041017 (Red Hat 3.4.2-6.fc3)) #1 Tue Nov 2 14:41:25
EST 2004
Comment 6 Dave Jones 2004-11-27 15:21:11 EST
mass update for old bugs:

Is this still a problem with the 2.6.9 based update kernel ?
Comment 7 Dave Jones 2005-04-16 01:19:49 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.